Bug 995573 - User can seemingly move functions around on predefined cluster policy details
User can seemingly move functions around on predefined cluster policy details
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Gilad Chaplik
Lukas Svaty
sla
:
Depends On:
Blocks: 1019461
  Show dependency treegraph
 
Reported: 2013-08-09 14:35 EDT by mrao
Modified: 2016-02-10 15:20 EST (History)
7 users (show)

See Also:
Fixed In Version: is9.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mrao 2013-08-09 14:35:47 EDT
Description of problem: Pre-defined Cluster policies are locked/ non-editable. When the details for this type of policy are invoked, even though this is a non-editable policy, the context menu is currently available on the Functions and they even move from one list to the other. However, they don’t persist upon close and re-opening. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Configure > Cluster policies
2. Select a pre-defined (locked) policy and click Edit
3. In the Function module section, bring up context menu for any function and it will display options to move it to the other list.
4. Function will move
5. Click close
6. Re-open and it will be apparent that really no functions were moved around

Actual results:
The functions can be moved between the lists and the user can click close and think that the changes have applied. Upon re-opening, it is obvious that the changes did not apply.

Expected results:
The context menus should not appear and the user should not seem to be able to move the functions.

Additional info:
Comment 2 Itamar Heim 2014-01-21 17:22:27 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:23:37 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:27:29 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.